<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_color"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_padding_huge"
        android:layout_marginTop="@dimen/common_padding_huge"
        android:layout_marginEnd="@dimen/common_padding_huge"
        android:layout_marginBottom="@dimen/common_padding_huge"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/subtitle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="start"
            android:text="@string/group_customer_list"
            android:textColor="@color/title_background_color"
            android:textSize="@dimen/text_size_medium"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/add"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/add"
            android:textColor="@color/title_background_color"
            android:textSize="@dimen/text_size_medium" />

        <View
            android:layout_width="@dimen/line"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding"
            android:background="@color/line_color" />

        <TextView
            android:id="@+id/scan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/scan"
            android:textColor="@color/title_background_color"
            android:textSize="@dimen/text_size_medium" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/customer_list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="@dimen/common_padding_huge"
        android:layout_marginEnd="@dimen/common_padding_huge"
        android:layout_weight="1" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_padding_huge"
        android:layout_marginTop="@dimen/common_padding_huge"
        android:layout_marginEnd="@dimen/common_padding_huge"
        android:layout_marginBottom="@dimen/common_padding"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/reset"
            android:layout_width="0dp"
            android:layout_height="@dimen/button_height"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_reset_button"
            android:gravity="center"
            android:text="@string/clear"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_large"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/next_page"
            android:layout_width="0dp"
            android:layout_height="@dimen/button_height"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_solid_blue"
            android:gravity="center"
            android:text="@string/next_page"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_large"
            android:textStyle="bold" />
    </LinearLayout>
</LinearLayout>